summaryrefslogtreecommitdiff
path: root/debian/argyll-dbg.preinst
diff options
context:
space:
mode:
authorJörg Frings-Fürst <debian@jff-webhosting.net>2014-09-16 09:32:07 +0200
committerJörg Frings-Fürst <debian@jff-webhosting.net>2014-09-16 09:32:07 +0200
commit047b5603c45a7788719b4083723d771384c48855 (patch)
tree7e908542355a77ab7445efabe032190bc3669653 /debian/argyll-dbg.preinst
parent37df445514c0a0ec204f9e876d8c220e1fcfb955 (diff)
use dpkg-maintscript-helper dir_to_symlink for symlink doc dir
Diffstat (limited to 'debian/argyll-dbg.preinst')
-rw-r--r--debian/argyll-dbg.preinst31
1 files changed, 31 insertions, 0 deletions
diff --git a/debian/argyll-dbg.preinst b/debian/argyll-dbg.preinst
new file mode 100644
index 0000000..e2c4065
--- /dev/null
+++ b/debian/argyll-dbg.preinst
@@ -0,0 +1,31 @@
+#!/bin/sh
+# preinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ install|upgrade|abort-upgrade)
+ dpkg-maintscript-helper dir_to_symlink /usr/share/doc/argyll-dbg argyll-doc -- "$@"
+ ;;
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0